2019-08-24 00:23 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005501Spring engineGeneralpublic2017-03-28 01:59
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version103.0 +git 
Target VersionFixed in Version 
Summary0005501: 103.0.1-712 pathfinding failure case
DescriptionDeinFreund reported a pathfinding issue in this game http://zero-k.info/Battles/Detail/451398. They made a youtube video to demonstrate the issue https://www.youtube.com/watch?v=ZBr_u1ws-Vg

The attached replay reproduces the issue and shows that the unit is permanently
stuck on the cliff. The unit thinks that it can walk through the structure unless it is right next to the structure. This causes the back and forth wandering.
Additional InformationMap: Barren
Game: Zero-K v1.5.3.11
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0017391

DeinFreund (reporter)

Happens at 48% in the replay.

~0017392

Anonymous (viewer)

Fix 47072a9d8b99baf862821a443a48c8c8d399b628 committed to develop branch: fix 0005501, repo: spring changeset id: 8037
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2017-03-27 17:05 Google_Frog New Issue
2017-03-27 17:05 Google_Frog File Added: 20170328_015659_Barren_103.0.1-712-g1ccec6e develop.sdfz
2017-03-27 17:30 DeinFreund Note Added: 0017391
2017-03-27 23:18 Kloot Assigned To => Kloot
2017-03-27 23:18 Kloot Status new => assigned
2017-03-28 01:59 Changeset attached => spring develop 47072a9d
2017-03-28 01:59 Anonymous Note Added: 0017392
2017-03-28 01:59 Anonymous Status assigned => resolved
2017-03-28 01:59 Anonymous Resolution open => fixed
+Issue History